Bug Hunting Session
Bug 123019 - CRASH: GTK3: Closing a modified Form several times
Summary: CRASH: GTK3: Closing a modified Form several times
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.1.6 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-01-28 16:37 UTC by Xisco Faulí
Modified: 2019-01-29 09:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-28 16:37:28 UTC
Steps to reproduce:
1. Open attachment 148397 [details] from bug 122662
2. Open the starter form
3. Modify any field
4. Click on the X button to close the window -> Confirmation dialog is prompted
5. Click again -> The dialog is prompted again
6. Select No -> the window is closed
7. Select Yes on the second confirmation dialog
-> Crash

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: ef28740d0ae036f6fa2e9866cadf335e9f0ad8b9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-01-28 16:39:26 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6a4c464b49dbfa2801818ead1b50bc9580824d00

author	Caolán McNamara <caolanm@redhat.com>	2018-02-19 16:33:35 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-02-22 22:07:38 +0100
commit	6a4c464b49dbfa2801818ead1b50bc9580824d00 (patch)
tree	3d6381b6b13576bc536670992b36784436486e95
parent	f7733528e88a6619f82b54b59e92a9bca72c0a89 (diff)
weld native message dialogs

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2019-01-28 17:10:48 UTC
missing dialog parent
Comment 3 Commit Notification 2019-01-28 21:10:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/807f2202d7a974048d417279cd83effa24213759%5E%21

Resolves: tdf#123019 give modal dialog a parent

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2019-01-28 21:12:28 UTC
fixed in master, backports in gerrit
Comment 5 Xisco Faulí 2019-01-29 09:46:07 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 6d5af783bfd899253908c926853233a99df6f4e0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 6 Commit Notification 2019-01-29 09:47:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/13d62e9c6dec6ea90bb34b1dc4cc2aa52c4bea36%5E%21

Resolves: tdf#123019 give modal dialog a parent

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-01-29 09:48:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/0f86aa5dec8ec6961736f66ef83f049fa2049982%5E%21

Resolves: tdf#123019 give modal dialog a parent

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.